﻿@model HOD.Models.LocalPasswordModel
@{
    ViewBag.Title = "Manage Account";
    ViewBag.ShowRemoveButton = true;
    ViewBag.Active = "active";
    ViewBag.menuItem = "manage";
}

<hgroup class="title">
    <h1>@ViewBag.Title.</h1>
</hgroup>

<p class="message-success">@ViewBag.StatusMessage</p>

<p>You're logged in as <strong>@User.Identity.Name</strong>.</p>

<div class="panel panel-default" style="padding: 4px;">
    <div class="panel-heading">
        <h3 class="panel-title">Change Password Form</h3>
    </div> 
    <div class="panel-body" style="background-color: #ffffff">

        <div class="form-horizontal">
            @if (ViewBag.HasLocalPassword)
            {
                @Html.Partial("_ChangePasswordPartial")
            }
            else
            { 
                @Html.Partial("_SetPasswordPartial")
            }

@*            <div class="form-group">
                <div class="panel panel-default">
                    <div class="panel-heading" align="left">Use another service to log in.</div>
                    <div class="panel-body">*@
                        <section id="externalLogins">
                            @Html.Action("RemoveExternalLogins")

                            <h3>Add an external login</h3>
                            @Html.Action("ExternalLoginsList", new { ReturnUrl = ViewBag.ReturnUrl })
                        </section>
@*                    </div>
                </div>
            </div>*@
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
